%define upstream_name    Authen-Passphrase
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Hashed passwords/passphrases as objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Authen::DecHpwd) >= 2.3.0
BuildRequires: perl(Carp)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Crypt::Eksblowfish::Bcrypt) >= 0.8.0
BuildRequires: perl(Crypt::Eksblowfish::Uklblowfish) >= 0.8.0
BuildRequires: perl(Crypt::MySQL) >= 0.30.0
BuildRequires: perl(Crypt::PasswdMD5) >= 1.0.0
BuildRequires: perl(Crypt::UnixCrypt_XS) >= 0.80.0
BuildRequires: perl(Data::Entropy::Algorithms)
BuildRequires: perl(Digest) >= 1.0.0
BuildRequires: perl(Digest::MD4) >= 1.200.0
BuildRequires: perl(Digest::MD5) >= 1.995.300
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(MIME::Base64) >= 2.210.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Runtime) >= 0.11.0
BuildRequires: perl(Params::Classify)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the base class for a system of objects that encapsulate
passphrases. An object of this type is a passphrase recogniser: its job is
to recognise whether an offered passphrase is the right one. For security,
such passphrase recognisers usually do not themselves know the passphrase
they are looking for; they can merely recognise it when they see it. There
are many schemes in use to achieve this effect, and the intent of this
class is to provide a consistent interface to them all, hiding the details.

The CPAN package Authen::Passphrase contains implementations of several
specific passphrase schemes in addition to the base class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.8.0-12.mga10
+ Revision: 2204964
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.8.0-11.mga9
+ Revision: 1810853
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.8.0-10.mga8
+ Revision: 1492865
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.8.0-9.mga7
+ Revision: 1265712
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.8.0-8.mga6
+ Revision: 1022613
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.8.0-7.mga6
+ Revision: 949924
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.8.0-6.mga5
+ Revision: 790639
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 749587
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 683572
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 509287
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 363241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 22 2012 kharec <kharec> 0.8.0-1.mga2
+ Revision: 211920
- update to 0.008

* Wed Jan 26 2011 jquelin <jquelin> 0.7.0-2.mga1
+ Revision: 39981
- mageia rebuild
- imported package perl-Authen-Passphrase

